Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciMember

All Known Subinterfaces:
  SciAttribute, SciOperation

public interface SciMember
extends SciElement

`SciMember` provides a set of methods for accessing information about members(attributes and operations) of classes.

For both attributes and operations it is possible to get their definition, signature and the containing class.

Author:
  TogetherSoft
See Also: SciAttribute, SciOperation

Method Summary
`SciClass` | `getContainingClass()` Returns the class/interface containing this member.
`SciMemberDefinition` | `getDefinition()` For C++ language returns `SciMemberDefinition` for this member.
`String` | `getSignature()` Returns the signature string for this member.

Methods inherited from interface com.togethersoft.openapi.sci.SciElement
`accept, canSetName, canSetProperty, getDeclarationText, getName, getQualifiedName, getTagList, getUniqueName, hasProperty, isDeleted, isPropertyReadable, isPropertyWritable, setName, setProperty, visitReferences, visitReferences`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### getContainingClass

    public SciClass getContainingClass()

  Returns the class/interface containing this member.
  Returns: the `SciClass` containing this member

### getDefinition

    public SciMemberDefinition getDefinition()

  For C++ language returns `SciMemberDefinition` for this member.
  Returns: `SciMemberDefinition` for this member
  See Also:
    SciMemberDefinition

### getSignature

    public String getSignature()

  Returns the signature string for this member. This string can be used to find a member via findMemberBySignature(SciClass, String) method.

  This method returns a string written in Together's internal format. To obtain a normal string with the signature, method SciLanguageHelper.convertMemberSignatureToPresentableForm can be used.

  Returns: the signature string for this member

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD